Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.ui.composites
Class CreateProjectCompositeImpl

    java.lang.Object
      org.eclipse.emf.ecp.internal.ui.composites.CreateProjectCompositeImpl

All Implemented Interfaces:
  CompositeProvider, CreateProjectComposite

    public class CreateProjectCompositeImpl

extends Object
implements CreateProjectComposite

This class generates a composite on top of a parent composite containing all ui elements necessary to create an ecpproject.

Author:
  Eugen Neufeld

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecp.ui.common.CreateProjectComposite
`CreateProjectComposite.CreateProjectChangeListener`

Constructor Summary
`CreateProjectCompositeImpl(List<ECPProvider> providers)` Constructor for the Project composite.

Method Summary
`org.eclipse.swt.widgets.Composite` | `createUI(org.eclipse.swt.widgets.Composite parent)` This method creates a UI bundled into a `Composite` that can be used anywhere.
`void` | `dispose()` Disposes this composite provider.
`String` | `getProjectName()`
`ECPProperties` | `getProperties()`
`ECPProvider` | `getProvider()`
`void` | `setListener(CreateProjectComposite.CreateProjectChangeListener listener)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateProjectCompositeImpl

    public CreateProjectCompositeImpl(List<ECPProvider> providers)

  Constructor for the Project composite.

  Parameters:
    `providers` - list of valid providers

Method Detail

### createUI

    public org.eclipse.swt.widgets.Composite createUI(org.eclipse.swt.widgets.Composite parent)

  This method creates a UI bundled into a `Composite` that can be used anywhere.

  Specified by:
    `createUI` in interface `CompositeProvider`
  Parameters:
    `parent` - the parent `Composite`
  Returns:
    the created `Composite`

### getProvider

    public ECPProvider getProvider()

  Specified by:
    `getProvider` in interface `CreateProjectComposite`
  Returns:
    the provider

### getProjectName

    public String getProjectName()

  Specified by:
    `getProjectName` in interface `CreateProjectComposite`
  Returns:
    the projectName

### setListener

    public void setListener(CreateProjectComposite.CreateProjectChangeListener listener)

  Specified by:
    `setListener` in interface `CreateProjectComposite`
  Parameters:
    `listener` - the listener to set

### getProperties

    public ECPProperties getProperties()

  Specified by:
    `getProperties` in interface `CreateProjectComposite`
  Returns:
    the project properties

### dispose

    public void dispose()

  Disposes this composite provider.

  Specified by:
    `dispose` in interface `CompositeProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.